Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet.event
Interface ActionEvent

All Superinterfaces:
  Event

public interface ActionEvent
extends Event

An `ActionEvent` is sent by the portlet container when an HTTP request is received that is associated with one more actions.

Author:
  Thomas F. Boehme
See Also:
  `PortletAction`, `ActionListener`, `ActionAdapter`

Field Summary
`static int` | `ACTION_PERFORMED` Event identifier indicating that portlet request has been received that one or more actions associated with it.

Method Summary
`void` | `changePortletMode(Portlet.Mode mode)` Changes the mode of the portlet.
`void` | `changePortletWindowState(PortletWindow.State state)` Changes the state of the portlet window.
`PortletAction` | `getAction()` Returns the action that this action event carries.

Methods inherited from interface org.apache.jetspeed.portlet.event.Event
`getConfig, getPortlet, getRequest`

Field Detail

### ACTION_PERFORMED

    public static final int ACTION_PERFORMED

  Event identifier indicating that portlet request has been received that one or more actions associated with it. Each action will result in a separate event being fired.

  An event with this id is fired when an action has to be performed.

  See Also:
    Constant Field Values

Method Detail

### getAction

    public PortletAction getAction()

  Returns the action that this action event carries.

  Returns:
    the portlet action

### changePortletMode

    public void changePortletMode(Portlet.Mode mode)

  Changes the mode of the portlet. Use this function to set the mode in which the portlet is shown next.

  Parameters:
    `mode` - the new portlet mode

### changePortletWindowState

    public void changePortletWindowState(PortletWindow.State state)

  Changes the state of the portlet window. Use this function to set the state in which the portlet window is shown next.

  Parameters:
    `state` - the new portlet window state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.